hsqldb1.8.0 (1.8.0.10+dfsg-13) unstable; urgency=medium

  * remove obsolete files in debian/ which we don't need since we only ship
    libhsqldb1.8.0-java 
  * migrate to dh $@ --with-javahelper --buildsystem ant and drop cdbs usage
    (closes: #1099967)

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Sep 2025 20:17:04 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-12.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (closes: #1007031)
  * Drop build/build.xml-old

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 20:21:01 +0000

hsqldb1.8.0 (1.8.0.10+dfsg-12) unstable; urgency=medium

  * add patch from upstream to
    avoid execution of spurious command in script or log file
    (CVE-2023-1183)

 -- Rene Engelhard <rene@debian.org>  Wed, 15 Feb 2023 07:46:52 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-11) unstable; urgency=medium

  * bump dh compat to 7 (closes: #965583) 

 -- Rene Engelhard <rene@debian.org>  Tue, 28 Dec 2021 19:11:06 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-10) unstable; urgency=medium

  * add patch from LO to fix build with Java 11 (closes: #913051)

 -- Rene Engelhard <rene@debian.org>  Tue, 06 Nov 2018 19:50:10 +0000

hsqldb1.8.0 (1.8.0.10+dfsg-9) unstable; urgency=medium

  * fix override disparity
  * declare that we support multiple ResultSets (used by LO)
  * rm debian/watch, there will be no new upstream versions here anyway

 -- Rene Engelhard <rene@debian.org>  Sat, 03 Mar 2018 21:39:02 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-8) unstable; urgency=medium

  * remove Implementation-{Vendor,Version} from MANIFEST.MK
    and thus make it reproducible

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Aug 2017 21:55:08 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-7) unstable; urgency=medium

  * [77412fc] move Maintainer: to Debian LibreOffice Maintainers
    (as we keep this for LO only anyway.)

 -- Rene Engelhard <rene@debian.org>  Wed, 07 Sep 2016 07:41:43 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-6) unstable; urgency=medium

  * fix servlet depends (closes: #815562) 

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Feb 2016 19:52:14 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-5) unstable; urgency=medium

  * also update jh_classpath call for servlet3.1 (closes: #804022) 

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Nov 2015 13:43:24 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-4) unstable; urgency=medium

  * remove last remains of -gcj package (on kfreebsd). kfreebsd
    is supposed to use OpenJDK, too now 

  * update to libservlet3.1-java (closes: #801013) 

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Oct 2015 17:01:57 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-3) unstable; urgency=low

  * upload to unstable
  * actually move to oldlibs
  * change Maintainer to debian-openoffice@lists.debian.org as we just keep
    this for LO 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 00:21:57 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-2) experimental; urgency=low

  * reupload as hsqldb1.8.0 / libhsqldb1.8.0-java to make space
    for non-ancient libhsqldb-java
  * stop building -doc, -server, -utils
  * move to oldlibs 
  * remove maven stuff, this here is just shipped for LO... 

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Mar 2013 23:40:35 +0100

hsqldb (1.8.0.10+dfsg-1) unstable; urgency=low

  * remove lib/servlet.jar and make the build actually use
    /usr/share/java/servlet-api-2.5.jar...

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Mar 2013 22:30:20 +0100

hsqldb (1.8.0.10-14) unstable; urgency=low

  * revert -13 changes, apply fix from upstream to fix preprocessing,
    thanks Lionel Elie Mamane 

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Jul 2012 21:21:27 +0200

hsqldb (1.8.0.10-13) unstable; urgency=low

  * explicitly build with openjdk-7 as the Java7 patch doesn't
    seem to be working with gcj (closes: #675834). Thus ...
  * ... disable -gcj 

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Jun 2012 11:45:35 +0200

hsqldb (1.8.0.10-12) unstable; urgency=low

  * add patch to fix build with Java 7 

 -- Rene Engelhard <rene@debian.org>  Fri, 01 Jun 2012 19:41:24 +0200

hsqldb (1.8.0.10-11) unstable; urgency=low

  * add maven.publishedRules (patch by twerner, closes: #641691)
  * stop building -gcj - except on kfreebsd-* 

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Sep 2011 16:14:57 +0000

hsqldb (1.8.0.10-10) unstable; urgency=low

  * fix builddep: s/default-jdk-builddep/default-jdk, gcj-native-helper/ 
  * libhsqldb-java-gcj: libs->java 
  * add missing run to mh_clean 
  * build-depend on javahelper and add Class-Path: to hsqldb-1.8.0.10.jar... 
  * stop depending on a jre on libhsqldb-java 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Aug 2011 20:54:56 +0000

hsqldb (1.8.0.10-9) unstable; urgency=low

  * oops, readd lost changes of -6.1 and fix changelog snafu 

 -- Rene Engelhard <rene@debian.org>  Mon, 21 Jun 2010 18:51:08 +0200

hsqldb (1.8.0.10-8) unstable; urgency=low

  * hardcode JAVA_EXECUTABLE to /usr/lib/jvm/java-gcj/bin/java
    (closes: #579740) 
  * add $remote_fs to Required-Stop:
  * build with libservlet2.5-java

 -- Rene Engelhard <rene@debian.org>  Mon, 21 Jun 2010 12:03:42 +0200

hsqldb (1.8.0.10-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Install POM file for hsqldb.jar. (Closes: #581851)

 -- Torsten Werner <twerner@debian.org>  Sun, 16 May 2010 23:08:11 +0200 

hsqldb (1.8.0.10-6) unstable; urgency=low

  * split utilities (hsqldb-*) into hsqldb-utils to allow
    co-installation of libraries of different versions

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Oct 2009 02:19:13 +0200

hsqldb (1.8.0.10-5) unstable; urgency=low

  * add i104901.patch from OOo to fix autoincrement behaviour which
    otherwise can cause db corruption 
  * bin/hsqldb: Provides: hsqldb-server, thanks lintian 

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Sep 2009 00:56:41 +0200

hsqldb (1.8.0.10-4) unstable; urgency=low

  * fix hsqldb-init-tempfile to actually be applied
  * readd WebServer support
  * use template for hsqldb.conf which has more info
  * add SERVER_JVMARGS=-Dhsqldb.method_class_names=\"\" to hsqldb.conf to
    disallow execution of Java code inside SQL per default
  * import default server.properties and webserver.properties and
    default sqltool.rc from Fedora

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Aug 2009 22:33:02 +0200

hsqldb (1.8.0.10-3) unstable; urgency=medium

  * add patch from http://www.openoffice.org/issues/show_bug.cgi?id=103528
    to fix BITXOR
  * build with target/source for 1.5 as default-jdk is now OpenJDK 1.6
  * remove old hsqldb-server.init. Use bin/hsqldb. Add /etc/hsqldb.conf.
    Make it work. Finetuning probably still needed but it at least now
    has working (re)start/stop/status.
    (closes: #466421)
  * move libhsqldb-java to java and hsqldb-server to databases
  * fix doc-base section

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Aug 2009 21:05:08 +0200

hsqldb (1.8.0.10-2) unstable; urgency=low

  * fix creation of .lock file for OOo (from OOo svn)

 -- Rene Engelhard <rene@debian.org>  Wed, 25 Feb 2009 13:44:50 +0100

hsqldb (1.8.0.10-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Aug 2008 10:49:33 -0300

hsqldb (1.8.0.9-3) unstable; urgency=low

  * make myself Maintainer: and remove Peter, by Peterss request
  * use default-jdk-builddep (closes: #477862)

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Apr 2008 00:17:18 +0200

hsqldb (1.8.0.9-2) unstable; urgency=low

  * upload to unstable
  * mention CVE-2007-4575 in previous release

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Nov 2007 11:37:11 +0100

hsqldb (1.8.0.9-1) experimental; urgency=high

  * New upstream release
    - fixes CVE-2007-4575

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Nov 2007 19:20:16 +0100

hsqldb (1.8.0.8.dfsg-2) unstable; urgency=low

  * get regression fix from upstream
  * merge from Ubuntu:
    - build -gcj subpackage (closes: #437629)

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Nov 2007 19:03:03 +0100

hsqldb (1.8.0.8.dfsg-1) unstable; urgency=high

  * oops, we need to remove servlet.jar from the .orig 

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Sep 2007 10:26:49 +0200

hsqldb (1.8.0.8-1) unstable; urgency=low

  * New upstream release
    - includes all Ooo 2.3 patches (closes: #437630)
  * switch to java-gcj-compat-dev as jikes can't build us anymore but
    ecj can
  * add myself to Uploaders
  * make hsqldb-server depend on libhsqldb-java (= ${binary:Version})
    as $|Source-Version} is deprecated
  * Apps/Databases -> Applications/Data Management for the new menu policy

 -- Rene Engelhard <rene@debian.org>  Fri, 31 Aug 2007 11:30:39 +0200

hsqldb (1.8.0.7-3) unstable; urgency=low

  * Changed dependencies to libservlet2.4-java (closes: #422555)

 -- Peter Eisentraut <petere@debian.org>  Mon, 07 May 2007 16:03:36 +0200

hsqldb (1.8.0.7-2) unstable; urgency=low

  * Corrected URL in hsqldb-sqltool man page
  * Added sqltool.rc example to installation
  * Improved start order dependencies of init script

 -- Peter Eisentraut <petere@debian.org>  Fri, 13 Apr 2007 01:54:00 +0200

hsqldb (1.8.0.7-1) unstable; urgency=low

  * New upstream release
  * Updated watch file
  * Removed hsqldb-nio.patch, which is no longer needed

 -- Peter Eisentraut <petere@debian.org>  Fri, 27 Oct 2006 09:59:02 +0200

hsqldb (1.8.0.5-2) unstable; urgency=low

  * Fixed dependency information in init script LSB header

 -- Peter Eisentraut <petere@debian.org>  Wed, 13 Sep 2006 19:18:37 +0200

hsqldb (1.8.0.5-1) experimental; urgency=low

  * New upstream release
  * Fixed Build-Depends vs. Build-Depends-Indep
  * Updated standards version
  * debian/rules simplifications facilitated by newer cdbs
  * Removed outdated OpenOffice patches
  * Create /var/run/hsqldb in the init script rather than in the package
  * Changed to Debhelper level 5
  * Fixed su invocation in init script

 -- Peter Eisentraut <petere@debian.org>  Thu, 31 Aug 2006 12:57:30 +0200

hsqldb (1.8.0.2-2) unstable; urgency=low

  * Added hsqldbutil.jar to re-add Transfer and QueryTool tools, which
    were removed from the main jar (closes: #341427)
  * Do not allow tools to create prefs file automatically

 -- Peter Eisentraut <petere@debian.org>  Sun, 11 Dec 2005 14:43:02 +0100

hsqldb (1.8.0.2-1) unstable; urgency=low

  * New upstream release
  * Updated hsqldb-gcj-access-problems.patch for new release
  * Changed watch file to version 3 format
  * Added dependency on adduser
  * Changed init script to LSB style
  * Changed build dependency to ant

 -- Peter Eisentraut <petere@debian.org>  Sat, 24 Sep 2005 23:07:44 +0200

hsqldb (1.8.0.0-2) experimental; urgency=low

  * Moved java-virtual-machine to a suggestion (closes: #316986)
  * Made hsqldb-server depend on the library of the same version
    (closes: #316987)
  * Applied bug fix patch from OOo2 (hsqldb-ooo2.patch) (closes: #316937)
  * Applied patch by Rene Engelhard to work with GCJ in OOo2
    (hsqldb-gcj-access-problems.patch) (closes: #316937)
  * Now using simple-patchsys.mk for patches

 -- Peter Eisentraut <petere@debian.org>  Mon, 11 Jul 2005 22:40:39 +0200

hsqldb (1.8.0.0-1) experimental; urgency=low

  * New upstream release
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Mon,  4 Jul 2005 18:03:23 +0200

hsqldb (1.7.3.3-3) unstable; urgency=low

  * Changed maintainer address
  * Added server mode

 -- Peter Eisentraut <petere@debian.org>  Thu,  9 Jun 2005 16:02:21 +0200

hsqldb (1.7.3.3-2) experimental; urgency=low

  * Disabled use of NIO locking (doesn't work with kaffe)
  * Changed run-time dependencies to kaffe
  * Moved to main
  * Added PostgreSQL and MySQL JDBC drivers to classpath of GUI applications
  
 -- Peter Eisentraut <peter_e@gmx.net>  Fri,  6 May 2005 13:22:03 +0200

hsqldb (1.7.3.3-1) experimental; urgency=low

  * New upstream release

 -- Peter Eisentraut <peter_e@gmx.net>  Wed, 30 Mar 2005 10:39:03 +0200

hsqldb (1.7.3.2-1) experimental; urgency=low

  * Initial release (closes: #121613)

 -- Peter Eisentraut <peter_e@gmx.net>  Sun,  6 Feb 2005 13:05:40 +0100
